| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::TableViewColumns::ColumnFileConfigurationWidget Class Reference
Inheritance diagram for Digikam::TableViewColumns::ColumnFileConfigurationWidget:

## Public Member Functions
| ColumnFileConfigurationWidget (TableViewShared *const sharedObject, const TableViewColumnConfiguration &columnConfiguration, QWidget *const parentWidget)
TableViewColumnConfiguration | getNewConfiguration () override
Public Member Functions inherited from Digikam::TableViewColumnConfigurationWidget
| TableViewColumnConfigurationWidget (TableViewShared *const sharedObject, const TableViewColumnConfiguration &currentConfiguration, QWidget *const parent=nullptr)

## Additional Inherited Members
Public Attributes inherited from Digikam::TableViewColumnConfigurationWidget
TableViewColumnConfiguration | configuration
TableViewShared *const | s = nullptr

## Member Function Documentation

## ◆ getNewConfiguration()

TableViewColumnConfiguration Digikam::TableViewColumns::ColumnFileConfigurationWidget::getNewConfiguration | ( |  | ) |
| override virtual

Implements Digikam::TableViewColumnConfigurationWidget.